Package org.mariadb.jdbc.client.util

# Class SchedulerProvider

java.lang.Object
org.mariadb.jdbc.client.util.SchedulerProvider

public final class SchedulerProvider extends Object

## Constructor Summary

Constructors
Constructor
Description
`SchedulerProvider()`

## Method Summary

Modifier and Type
Method
Description
`static ScheduledThreadPoolExecutor`
`getTimeoutScheduler(ClosableLock lock)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SchedulerProvider

public SchedulerProvider()

## Method Details

### getTimeoutScheduler

public static ScheduledThreadPoolExecutor getTimeoutScheduler(ClosableLock lock)